## GulkanFrameBuffer

GulkanFrameBuffer

## Functions

GulkanFrameBuffer * | gulkan_frame_buffer_new ()
GulkanFrameBuffer * | gulkan_frame_buffer_new_from_image_with_depth ()
GulkanFrameBuffer * | gulkan_frame_buffer_new_from_image ()
VkImage | gulkan_frame_buffer_get_color_image ()
VkFramebuffer | gulkan_frame_buffer_get_handle ()

## Types and Values

#define | GULKAN_TYPE_FRAME_BUFFER
| GulkanFrameBuffer

## Object Hierarchy

        GObject
        ╰── GulkanFrameBuffer

## Includes

    #include <gulkan.h>

## Description

## Functions

### gulkan_frame_buffer_new ()

    GulkanFrameBuffer *
    gulkan_frame_buffer_new (GulkanDevice *device,
                             GulkanRenderPass *render_pass,
                             VkExtent2D extent,
                             VkSampleCountFlagBits sample_count,
                             VkFormat color_format,
                             gboolean use_depth);

### gulkan_frame_buffer_new_from_image_with_depth ()

    GulkanFrameBuffer *
    gulkan_frame_buffer_new_from_image_with_depth
                                   (GulkanDevice *device,
                                    GulkanRenderPass *render_pass,
                                    VkImage color_image,
                                    VkExtent2D extent,
                                    VkSampleCountFlagBits sample_count,
                                    VkFormat color_format);

### gulkan_frame_buffer_new_from_image ()

    GulkanFrameBuffer *
    gulkan_frame_buffer_new_from_image (GulkanDevice *device,
                                        GulkanRenderPass *render_pass,
                                        VkImage color_image,
                                        VkExtent2D extent,
                                        VkFormat color_format);

### gulkan_frame_buffer_get_color_image ()

    VkImage
    gulkan_frame_buffer_get_color_image (GulkanFrameBuffer *self);

### gulkan_frame_buffer_get_handle ()

    VkFramebuffer
    gulkan_frame_buffer_get_handle (GulkanFrameBuffer *self);

## Types and Values

### GULKAN_TYPE_FRAME_BUFFER

    #define GULKAN_TYPE_FRAME_BUFFER gulkan_frame_buffer_get_type()

### GulkanFrameBuffer

    typedef struct _GulkanFrameBuffer GulkanFrameBuffer;